<?php

namespace Inwebs\PhpCodesniffer\Sniffs\Annotations\data;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
final class OwnAttribute
{
}

class PropertyOrder
{
    /**
     * A small description.
     *
     * And
     * some
     * Text
     *
     * @var string With a nice and multi line
     *   description
     * @Flow\Inject(name="StrangeContent")
     * @ORM\Column(stuff={
     *     "hallo"
     * })
     */
    protected $test;

    /**
     * A small description.
     *
     * And
     * some
     * Text
     *
     * @Flow\Inject
     * @var string a very long description
     * @ORM\Column(stuff={
     *     "hallo"
     * })
     */
    protected $testTwo;

    /**
     * @Flow\Inject
     * @var \stdClass mega!
     */
    protected $valid;

    /**
     * @var \stdClass
     * @Flow\Validate
     */
    #[OwnAttribute]
    protected $inValidWithAttribute;
}
